package com.bocloud.ims.entity.resource.hmc;

import com.bocloud.entity.annotations.Column;
import com.bocloud.entity.annotations.PK;
import com.bocloud.entity.bean.Generic;
import com.bocloud.entity.meta.PKStrategy;

public class HmdGenericEntity extends Generic {

    @PK(value = PKStrategy.AUTO)
    private Long id; // 自增id
    @Column("url")
    private String url; // hmc中访问该资源对应的url
    @Column("pending")
    private Boolean pending; // 是否中间状态

    public HmdGenericEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public Boolean getPending() {
        return pending;
    }

    public void setPending(Boolean pending) {
        this.pending = pending;
    }
}
